From 04a55616e467ec85c00d33a97e29151dc89a639c Mon Sep 17 00:00:00 2001
From: Brenden Blanco <bblanco@gmail.com>
Date: Thu, 8 Feb 2018 15:08:04 -0800
Subject: [PATCH 06/11] Fix file desc leak in test_tools_smoke

Signed-off-by: Brenden Blanco <bblanco@gmail.com>
(cherry picked from commit c28f6e8634671ff0b954731156bcf2d3e9facab2)
---
 tests/python/test_tools_smoke.py | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/tests/python/test_tools_smoke.py b/tests/python/test_tools_smoke.py
index ecf8502..641cc99 100755
--- a/tests/python/test_tools_smoke.py
+++ b/tests/python/test_tools_smoke.py
@@ -52,12 +52,12 @@ class SmokeTests(TestCase):
                         or (rc == 137 and kill), "rc was %d" % rc)
 
     def kmod_loaded(self, mod):
-        mods = open("/proc/modules", "r")
-        reg = re.compile("^%s\s" % mod)
-        for line in mods:
-            if reg.match(line):
-                return 1
-            return 0
+        with open("/proc/modules", "r") as mods:
+            reg = re.compile("^%s\s" % mod)
+            for line in mods:
+                if reg.match(line):
+                    return 1
+                return 0
 
     def setUp(self):
         pass
-- 
2.16.1


